Package org.eclipse.rdf4j.benchmark.rio

## Class WriterBenchmark

- java.lang.Object
- - org.eclipse.rdf4j.benchmark.rio.WriterBenchmark

- Direct Known Subclasses:
    `WriterBenchmark_jmhType_B1`

      public class WriterBenchmark
      extends Object

  Benchmark for `RDFWriter`s using datasets generated by `DataSetGenerator`.
  Author:
    Frens Jan Rumph

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `format` |
    `static int` | `MAX_STRING_LENGTH` |
    `static int` | `MIN_STRING_LENGTH` |
    `static int` | `PERCENT_BNODE` |
    `static int` | `PERCENT_LITERALS` |
    `static boolean` | `TEXT_ONLY` |
    `static int` | `TOTAL_STATEMENTS` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WriterBenchmark()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setup()` |
    `void` | `writer()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TOTAL_STATEMENTS

          public static final int TOTAL_STATEMENTS

      See Also:
        Constant Field Values

    - #### MIN_STRING_LENGTH

          public static final int MIN_STRING_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_STRING_LENGTH

          public static final int MAX_STRING_LENGTH

      See Also:
        Constant Field Values

    - #### PERCENT_BNODE

          public static final int PERCENT_BNODE

      See Also:
        Constant Field Values

    - #### PERCENT_LITERALS

          public static final int PERCENT_LITERALS

      See Also:
        Constant Field Values

    - #### TEXT_ONLY

          public static final boolean TEXT_ONLY

      See Also:
        Constant Field Values

    - #### format

          public String format

  - ### Constructor Detail

    - #### WriterBenchmark

          public WriterBenchmark()

  - ### Method Detail

    - #### setup

          public void setup()
                     throws IOException

      Throws:
        `IOException`

    - #### writer

          public void writer()